$(document).ready(function(){
    // the "href" attribute of .modal-trigger must specify the modal ID that wants to be triggered
    $('.modal-trigger').leanModal();

    /*$('#boutonEnvoyer').click(function(){
        alert(yolo);
    });
    */
    
    
    //Fonction d'envoi de l'inscription. Tout est fait en ajax et fait appel à la page php inscription.
    $('#validRegister').click(function(){
        if(($('#first_name').val() == 0) || ($('#last_name').val() == 0) || ($('#pseudo').val() == 0) || ($('#password').val() == 0) || ($('#repassword').val() == 0)){
			 $("#error").html("Tous vos champs n'ont pas été rempli.");
        }
        else
        {
         $.ajax({
             url: '/includes/php/inscription.php',
             data: $('#first_name, #last_name, #pseudo, #password, #repassword').serialize(),
             type: 'POST',
             dataType: 'json',
             success:
                function(donnees, status, xhr)
                {
                    switch(donnees)
                    {
                        case "n":
                            $("#error").html("Tous vos champs n'ont pas été rempli.");
                            break;
                        case "u":
                            $("#error").html("Vos mot de passes sont incorrects.");
                            break;
                        case "v":
                            $("#error").toggleClass("errorBQ");
                            $("#error").toggleClass("successBQ");
                            $("#error").html("Vous avez bien été inscrit. Vous pouvez vous connecter ici");
                            $('#modal1').closeModal();
                            $('#modal2').openModal();
                            break;
                        case "i":
                            $("#error").html("Ce pseudo est déjà prit.");
                            break;
                    }
                },
            error:
                function (xhr, status, error) {
                    alert("param : " + xhr.responseText);
                    alert("status : " + status);
                    alert("error : " + error);
                }
         });
        }
    });
    
    
    $("#validLogin").click(function(){
       
        if(($("#pseudoLogin").val() == 0) && ($("#passwordLogin").val() == 0))
        {
              $("#errorLogin").html("Tous vos champs n'ont pas été rempli");  
        }
        else
        {
            $.ajax({
                url: '/includes/php/connect.php',
                data: $("#pseudoLogin, #passwordLogin").serialize(),
                type: 'POST',
                dataType: 'json',
                success:
                    function(donnees, status, xhr)
                    {
                        switch(donnees)
                        {
                        case "n":
                            $("#errorLogin").html("Tous vos champs n'ont pas été rempli.");
                            break;
                        case "i":
                            $("#errorLogin").html("Pseudo ou mot de passes sont incorrects.");
                            break;
                        case "v":
                            $("#errorLogin").toggleClass("errorBQ");
                            $("#errorLogin").toggleClass("successBQ");
                            $("#errorLogin").html("Vous êtes désormais connecté. La page va se recharger.");
                            location.reload();
                            break;
                        }
                    },
                error:
                    function(xhr, status, error)
                    {
                        alert("param : " + xhr.responseText);
                        alert("status : " + status);
                        alert("error : " + error);
                    }
            });
        }
        
    });
    
});
